native2ascii(1)

Name
native2ascii - Native-to-ASCII Converter

Converts a file with characters in any supported character encoding to one with ASCII and/or Unicode escapes, or visa versa.

SYNOPSIS

native2ascii [options] [inputfile [outputfile]]

DESCRIPTION

native2ascii converts files that are encoded to any character encoding that is supported by the Java runtime environment to files encoded in ASCII, using Unicode escapes ("\uxxxx" notation) for all characters that are not part of the ASCII character set. This process is required for properties files containing characters not in ISO-8859-1 character sets. The tool can also perform the reverse conversion.

If outputfile is omitted, standard output is used for output. If, in addition, inputfile is omitted, standard input is used for input.

OPTIONS

    -reverse
        Perform the reverse operation: Convert a file encoded in ISO-8859-1 with Unicode escapes to a file in any character encoding supported by the Java runtime environment.

    -encoding encoding_name
        Specifies the name of the character encoding to be used by the conversion procedure. If this option is not present, the default character encoding (as determined by the java.nio.charset.Charset.defaultCharset method) is used. The encoding_name string must be the name of a character encoding that is supported by the Java runtime environment - see the Supported Encodings @
        http://docs.oracle.com/javase/7/docs/technotes/guides/intl/encoding.doc.html document.

    -Joption
        Pass option to the Java virtual machine, where option is one of the options described on the reference page for the java(1). For example, -J-Xms48m sets the startup memory to 48 megabytes.